Skip to main content
`Ctrl`+`K`

# VecCreateLocalVector

Creates a vector object suitable for use with `VecGetLocalVector()` and friends. You must call `VecDestroy()` when the vector is no longer needed.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecCreateLocalVector(Vec v, Vec *w)

Not Collective.

## Input Parameter

- v - The vector for which the local vector is desired.

## Output Parameter

- w - Upon exit this contains the local vector.

## See Also

Vectors and Parallel Data, `Vec`, `VecGetLocalVectorRead()`, `VecRestoreLocalVectorRead()`, `VecGetLocalVector()`, `VecRestoreLocalVector()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Implementations

VecCreateLocalVector_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages